
import pandas as pd

promotor_assessor = {
    "De Munck": ["De Groot"],
    "Gelderblom": ["Van Laer"],
    "Blondé": ["Schepers", "Kole"],
    "Puttevils": ["Heijmans"],
    "Greefs": ["Tanis"],
    "Wynants": ["Samoy", "Welslau"]
}

df = pd.read_excel('sisa.xlsx', sheet_name='sheet1')

for idx, row in df.iterrows():
    promotor_cell = str(row.get('Promotor', '')).strip()
    assessors_cell = [a.strip() for a in str(row.get('Assessor(en)', '')).split(',')]
    matched_promotor = None
    for key in promotor_assessor:
        if key in promotor_cell or promotor_cell in key:
            matched_promotor = key
            break
    if matched_promotor:
        expected = promotor_assessor[matched_promotor]
        missing = []
        for e in expected:
            if not any(e in a or a in e for a in assessors_cell):
                missing.append(e)
        if missing:
            print(f"Row {idx+1}: ERROR: Expected assessors {expected}, found {assessors_cell}")

print("Check completed successfully.")